Bug 242042 - 'forward as ... redirect' SEGV.
'forward as ... redirect' SEGV.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Crha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 08:57 EDT by David Woodhouse
Modified: 2008-04-14 12:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 12:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 410823 None None None Never

  None (edit)
Description David Woodhouse 2007-06-01 08:57:57 EDT
Upon trying to 'bounce' or 'redirect' any message,...

(evolution:25052): GLib-GObject-WARNING **: invalid uninstantiatable type
`(null)' in cast to `GtkEntry'

(evolution:25052): Gtk-CRITICAL **: gtk_entry_get_text: assertion `GTK_IS_ENTRY
(entry)' failed


(evolution:24924): GLib-GObject-WARNING **: invalid uninstantiatable type
`(null)' in cast to `GtkEditable'

(evolution:24924): Gtk-CRITICAL **: gtk_editable_get_position: assertion
`GTK_IS_EDITABLE (editable)' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4155813888 (LWP 24924)]
get_range_at_position (string=0x0, pos=0, start_pos=0xffbd410c, 
    end_pos=0xffbd4108) at e-name-selector-entry.c:244
244             for (p = string, i = 0; *p; p = g_utf8_next_char (p), i++) {
(gdb) bt
#0  get_range_at_position (string=0x0, pos=0, start_pos=0xffbd410c, 
    end_pos=0xffbd4108) at e-name-selector-entry.c:244
#1  0x009d8730 in update_completions_on_idle_cb (
    name_selector_entry=0x1126d018) at e-name-selector-entry.c:856
#2  0x0ef356f8 in ?? () from /lib/libglib-2.0.so.0
#3  0x0ef37eb4 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#4  0x0ef3bbbc in ?? () from /lib/libglib-2.0.so.0
#5  0x0ef3c024 in g_main_loop_run () from /lib/libglib-2.0.so.0
#6  0x0e83660c in bonobo_main () from /usr/lib/libbonobo-2.so.0
#7  0x1001846c in main ()
(gdb) 


evolution-2.10.1-17.fc7.dwmw2.1
evolution-data-server-1.10.1-6.fc7.dwmw2.1


It's possible that this is caused by the mbox-related patches in bug #239215,
which I've incorporated into my own build of Evolution and e-d-s. Do we have a
better fix for that yet?
Comment 1 Matthew Barnes 2007-06-01 17:28:34 EDT
Looks unrelated to bug #239215 to me (and no, we don't have a better fix for
that yet).  The crash seems to be originating from the auto-completion entry
widget in libedataserverui.

I'm unable to reproduce this with Evolution in Rawhide (2.11.2).  I assume all
you're doing is picking some message and selecting Message -> Forward As ->
Redirect, and then it goes BOOM?

I'll try to reproduce this with 2.10 on Monday.
Comment 2 David Woodhouse 2007-06-01 17:45:43 EDT
It happens when I hit send. Even if the address I'm sending to isn't in the
address book.
Comment 3 David Woodhouse 2007-06-08 11:16:48 EDT
Hm. This happens on one machine but not another. Both are F7 with the same
Evolution package, and largely the same Evolution config. The address books are
probably not the same though.
Comment 4 Milan Crha 2007-06-09 04:31:19 EDT
I tested it on a fresh F7 i386 install, with
evolution-2.10.1-4.fc7
evolution-data-server-1.10.1-1.fc7
and I could not reproduce this. I think, it may be related with address book
setup (I mean which address books are used and active) and what is the
auto-completion setup. I just guess.
David, are those two installations on same architecture? (I think you use PPC,
right?)
Comment 5 Milan Crha 2007-06-11 10:10:41 EDT
Looks similar with upstream bug [1], but they marked it as duplicate of bug [2],
which isn't so much similar as this one, but we could believe them, I hope.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=435708
[2] http://bugzilla.gnome.org/show_bug.cgi?id=410823
Comment 6 Milan Crha 2007-11-21 06:46:29 EST
OK, 410823 has been fixed and the fix is included in
evolution-data-server-1.10.3.1-3.fc7 and also in F8 and rawhide. Can you check
if that fix helped you too? I will close it as current release if so. Thanks in
advance.
Comment 7 Milan Crha 2008-02-11 14:26:49 EST
David, can you look at this, please? Thanks in advance.
Comment 8 Matěj Cepl 2008-04-14 11:56:44 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 David Woodhouse 2008-04-14 12:03:05 EDT
I haven't seen it recently. Let's close the bug; I'll reopen it if the problem
recurs. Thanks.

Note You need to log in before you can comment on or make changes to this bug.